[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 3707

`public constructor TCustomTreeView.Create(`
`AnOwner: TComponent`
`); override;`

## Arguments

`AnOwner` |  | Owner of the class instance.

## Description

Create is the constructor for TCustomTreeView. It calls the inherited Create method, and sets the default values for members and properties in the class instance. These include:

- Width
- Height
- Color
- ParentColor
- BorderStyle
- BorderWidth
- TabStop
- DefaultItemHeight
- ExpandSignType
- Options
- ScrollBars
- SortType
- SelectedColor
- SelectedFontColor
- SeparatorColor
- HotTrackColor
- DisabledFontColor
- Indent
- PathDelimiter

Create allocates resources needed for properties including:

- Items

It also allocated resources for internal members including:

- change timer
- state change link
- tree node editor

Create assigns and configures event handler routines used internally in the class instance.

## See also

TCustomControl.Create |  | Constructor for the class instance.
TComponent.Create